<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.4.114
Name: Problem Concern Entry - Empty
Description: This entry is a specialization of the Problem Concern Entry, that is empty and just used for required coded sections that cannot be filled with the current specification.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703">
   <title>Problem Concern Entry - Empty</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]"
         id="d20e9553-false-d49219e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@classCode) = ('ACT')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@moodCode) = ('EVN')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114']) &gt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114']) &lt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105']) &gt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105']) &lt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90']) &gt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90']) &lt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27']) &gt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27']) &lt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1']) &gt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1']) &lt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']) &gt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']) &lt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:code[@nullFlavor = 'NA']) &gt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:code[@nullFlavor = 'NA'] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:code[@nullFlavor = 'NA']) &lt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:code[@nullFlavor = 'NA'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:effectiveTime) &gt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:effectiveTime) &lt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.115'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.106'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.97'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]) &gt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.115'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.106'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.97'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114']
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114']"
         id="d20e9559-false-d49324e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_ProblemConcernEntryEmpty): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.4.114')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for root SHALL be '2.16.756.5.30.1.1.10.4.114'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105']
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105']"
         id="d20e9564-false-d49339e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_ProblemConcernEntryEmpty): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.4.105')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for root SHALL be '2.16.756.5.30.1.1.10.4.105'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90']
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90']"
         id="d20e9569-false-d49354e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_ProblemConcernEntryEmpty): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.4.90')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for root SHALL be '2.16.756.5.30.1.1.10.4.90'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27']
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27']"
         id="d20e9575-false-d49369e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_ProblemConcernEntryEmpty): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.27')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for root SHALL be '2.16.840.1.113883.10.20.1.27'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1']
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1']"
         id="d20e9580-false-d49384e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_ProblemConcernEntryEmpty): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.5.1')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']"
         id="d20e9585-false-d49399e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_ProblemConcernEntryEmpty): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.5.2')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.5.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:id[not(@nullFlavor)]
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:id[not(@nullFlavor)]"
         id="d20e9590-false-d49413e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_ProblemConcernEntryEmpty): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:code[@nullFlavor = 'NA']
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:code[@nullFlavor = 'NA']"
         id="d20e9592-false-d49423e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_ProblemConcernEntryEmpty): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@nullFlavor) = ('NA')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for nullFlavor SHALL be 'NA'. Found: "<value-of select="@nullFlavor"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:effectiveTime
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:effectiveTime"
         id="d20e9597-false-d49437e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_ProblemConcernEntryEmpty): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:low[@nullFlavor = 'NA']) &gt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:low[@nullFlavor = 'NA'] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:low[@nullFlavor = 'NA']) &lt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:low[@nullFlavor = 'NA'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="count(hl7:high[@nullFlavor = 'NA']) &lt;= 1">(cdachsmcp_entry_ProblemConcernEntryEmpty): element hl7:high[@nullFlavor = 'NA'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:effectiveTime/hl7:low[@nullFlavor = 'NA']
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:effectiveTime/hl7:low[@nullFlavor = 'NA']"
         id="d20e9599-false-d49462e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_ProblemConcernEntryEmpty): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@nullFlavor) = ('NA')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for nullFlavor SHALL be 'NA'. Found: "<value-of select="@nullFlavor"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:effectiveTime/hl7:high[@nullFlavor = 'NA']
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:effectiveTime/hl7:high[@nullFlavor = 'NA']"
         id="d20e9604-false-d49476e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_ProblemConcernEntryEmpty): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@nullFlavor) = ('NA')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for nullFlavor SHALL be 'NA'. Found: "<value-of select="@nullFlavor"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.114
Context: *[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.115'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.106'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.97'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]
Item: (cdachsmcp_entry_ProblemConcernEntryEmpty)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]]/hl7:act[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.114'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.105'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.90'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.115'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.106'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.97'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.28']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.114-2017-09-15T101703.html"
              test="string(@typeCode) = ('SUBJ')">(cdachsmcp_entry_ProblemConcernEntryEmpty): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
