<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.4.113
Name: Advance Directive Observation
Description: An advance directive observation is a simple observation that uses a specific vocabulary, and inherits constraints from CCD.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459">
   <title>Advance Directive Observation</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]"
         id="d20e9378-false-d48669e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@classCode) = ('OBS')">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@moodCode) = ('EVN')">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113']) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113']) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78']) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78']) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7']) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7']) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:id[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:code) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:code) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:effectiveTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:effectiveTime[not(@nullFlavor)] appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[not(@nullFlavor)][(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] | hl7:value[@codeSystem = '2.16.756.5.30.1.112.3.1.201812.5' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="$elmcount &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): choice (hl7:value[not(@nullFlavor)][(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  or  hl7:value[@codeSystem = '2.16.756.5.30.1.112.3.1.201812.5' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="$elmcount &lt;= 3">(cdachsmcp_entry_AdvanceDirectiveObservation): choice (hl7:value[not(@nullFlavor)][(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  or  hl7:value[@codeSystem = '2.16.756.5.30.1.112.3.1.201812.5' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) contains too many elements [max 3x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:value[not(@nullFlavor)][(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:value[not(@nullFlavor)][(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:value[not(@nullFlavor)][(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:value[not(@nullFlavor)][(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:value[@codeSystem = '2.16.756.5.30.1.112.3.1.201812.5' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:value[@codeSystem = '2.16.756.5.30.1.112.3.1.201812.5' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113']
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113']"
         id="d20e9384-false-d48820e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.4.113')">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for root SHALL be '2.16.756.5.30.1.1.10.4.113'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78']
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78']"
         id="d20e9389-false-d48835e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.4.78')">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for root SHALL be '2.16.756.5.30.1.1.10.4.78'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7']
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7']"
         id="d20e9394-false-d48850e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.13.7')">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']"
         id="d20e9400-false-d48865e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.13')">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.13'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']"
         id="d20e9405-false-d48880e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.17')">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for root SHALL be '2.16.840.1.113883.10.20.1.17'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:id[not(@nullFlavor)]
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:id[not(@nullFlavor)]"
         id="d20e9410-false-d48894e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:code
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:code"
         id="d20e9412-false-d48904e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96') or not(@codeSystem)">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for codeSystem SHALL be '2.16.840.1.113883.6.96'. Found: "<value-of select="@codeSystem"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:text[not(@nullFlavor)]
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:text[not(@nullFlavor)]"
         id="d20e9417-false-d48918e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:statusCode[@code = 'completed']
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:statusCode[@code = 'completed']"
         id="d20e9419-false-d48929e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="@nullFlavor or (@code='completed')">(cdachsmcp_entry_AdvanceDirectiveObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d20e9425-false-d48945e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:value[not(@nullFlavor)][(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:value[not(@nullFlavor)][(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e9429-false-d48955e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="@xsi:type">(cdachsmcp_entry_AdvanceDirectiveObservation): attribute @xsi:type SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="@value">(cdachsmcp_entry_AdvanceDirectiveObservation): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="not(@value) or string(@value)=('true','false')">(cdachsmcp_entry_AdvanceDirectiveObservation): Attribute @value SHALL be of data type 'bl'  - '<value-of select="@value"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="not(@value='true') or (parent::hl7:observation/hl7:value[@xsi:type='CD' and @codeSystem='2.16.756.5.30.1.112.3.1.201812.5'])">(cdachsmcp_entry_AdvanceDirectiveObservation): Advance directive existence must be precised using another value element containing a code of code system 2.16.756.5.30.1.112.3.1.201812.5.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:value[@codeSystem = '2.16.756.5.30.1.112.3.1.201812.5' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:value[@codeSystem = '2.16.756.5.30.1.112.3.1.201812.5' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e9439-false-d48977e0">
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(cdachsmcp_entry_AdvanceDirectiveObservation): The element value SHALL be one of '2.16.756.5.30.1.1.1.1.3.6.3.11.15 dmst-prec3 (DYNAMIC)'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="@xsi:type">(cdachsmcp_entry_AdvanceDirectiveObservation): attribute @xsi:type SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="@code">(cdachsmcp_entry_AdvanceDirectiveObservation): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(cdachsmcp_entry_AdvanceDirectiveObservation): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@codeSystem) = ('2.16.756.5.30.1.112.3.1.201812.5')">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for codeSystem SHALL be '2.16.756.5.30.1.112.3.1.201812.5'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@codeSystemName) = ('dmst-prec3')">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for codeSystemName SHALL be 'dmst-prec3'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(cdachsmcp_entry_AdvanceDirectiveObservation): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="@displayName">(cdachsmcp_entry_AdvanceDirectiveObservation): attribute @displayName SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(cdachsmcp_entry_AdvanceDirectiveObservation): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="not(@code=('a')) or (parent::hl7:observation/hl7:reference[hl7:templateId/@root='2.16.840.1.113883.10.20.1.36'])">(cdachsmcp_entry_AdvanceDirectiveObservation): When declaring an advance directive as attached, a reference to an externaL document ist required.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="not(@code=('d')) or (parent::hl7:observation/hl7:value[@xsi:type='ST']/text())">(cdachsmcp_entry_AdvanceDirectiveObservation): When declaring an advance directive as deposited, another value of type ST containing the precision for the deposit place is required.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:originalText) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:originalText appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.9.49
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:value[@codeSystem = '2.16.756.5.30.1.112.3.1.201812.5' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:originalText
Item: (cdach_other_OriginalTextElementWithReferenceToNarrativeText)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:value[@codeSystem = '2.16.756.5.30.1.112.3.1.201812.5' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:originalText"
         id="d48980e59-false-d49030e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.49-2018-04-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdach_other_OriginalTextElementWithReferenceToNarrativeText): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.49-2018-04-18T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(cdach_other_OriginalTextElementWithReferenceToNarrativeText): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.49-2018-04-18T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(cdach_other_OriginalTextElementWithReferenceToNarrativeText): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.9.49
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:value[@codeSystem = '2.16.756.5.30.1.112.3.1.201812.5' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:originalText/hl7:reference[not(@nullFlavor)]
Item: (cdach_other_OriginalTextElementWithReferenceToNarrativeText)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:value[@codeSystem = '2.16.756.5.30.1.112.3.1.201812.5' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:originalText/hl7:reference[not(@nullFlavor)]"
         id="d48980e61-false-d49049e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.49-2018-04-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdach_other_OriginalTextElementWithReferenceToNarrativeText): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.49-2018-04-18T000000.html"
              test="@value">(cdach_other_OriginalTextElementWithReferenceToNarrativeText): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.49-2018-04-18T000000.html"
              test="starts-with(@value,'#')">(cdach_other_OriginalTextElementWithReferenceToNarrativeText): The @value attribute content MUST conform to the format '#xxx', where xxx is the ID of the corresponding <content/> element.</assert>
      <let name="idvalue" value="substring-after(@value,'#')"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.49-2018-04-18T000000.html"
              test="ancestor::hl7:structuredBody//*[@ID=$idvalue]">(cdach_other_OriginalTextElementWithReferenceToNarrativeText): No narrative text found for this reference (no content element within this document has an ID that corresponds to '<value-of select="$idvalue"/>').</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.49-2018-04-18T000000.html"
              test="parent::*/text()=ancestor::hl7:structuredBody//*[@ID=$idvalue]/text()">(cdach_other_OriginalTextElementWithReferenceToNarrativeText): The originalText content MUST be identical to the narrative text for this reference.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e9467-false-d49063e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="@xsi:type">(cdachsmcp_entry_AdvanceDirectiveObservation): attribute @xsi:type SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:reference[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']]
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:reference[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']]"
         id="d20e9473-false-d49075e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@typeCode) = ('REFR')">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:externalDocument) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:externalDocument is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:externalDocument) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:externalDocument appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:reference[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:reference[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']"
         id="d20e9477-false-d49105e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.36')">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for root SHALL be '2.16.840.1.113883.10.20.1.36'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:reference[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']]/hl7:externalDocument
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:reference[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']]/hl7:externalDocument"
         id="d20e9482-false-d49119e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="string(@classCode) = ('DOC') or not(@classCode)">(cdachsmcp_entry_AdvanceDirectiveObservation): The value for classCode SHALL be 'DOC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:id[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="count(hl7:text) &lt;= 1">(cdachsmcp_entry_AdvanceDirectiveObservation): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:reference[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']]/hl7:externalDocument/hl7:id[not(@nullFlavor)]
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:reference[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']]/hl7:externalDocument/hl7:id[not(@nullFlavor)]"
         id="d20e9488-false-d49149e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.113
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:reference[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']]/hl7:externalDocument/hl7:text
Item: (cdachsmcp_entry_AdvanceDirectiveObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]/hl7:reference[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.36']]/hl7:externalDocument/hl7:text"
         id="d20e9490-false-d49159e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.113-2017-09-19T213459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_AdvanceDirectiveObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
